<form [formGroup]="carOrderForm" *ngIf="carOrderForm">
    <div class="form-row">
        <div class="form-group col-md-6">
            <label for="fullName">Full name</label>
            <input type="text" class="form-control" id="fullName" placeholder="Full name"
                   formControlName="customerName" required
                   [class.border-danger]="carOrderForm | hasError:carOrderForm.value:'customerName':submitted">

            <!--            <div class="alert-danger p-1" >-->
            <!--                Full name is mandatory.-->
            <!--            </div>-->
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col-md-6">
            <label for="car">Car</label>
            <select class="form-control" id="car" placeholder="Select a car" formControlName="car"
                    (change)="updatePrice()" [class.border-danger]="carOrderForm | hasError:carOrderForm.value:'car':submitted">
                <option *ngFor="let car of cars; index as i" [value]="car.id"
                        [selected]="i === 0">{{car.model}}</option>
            </select>
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col-md-4">
            <label for="batterySize">Battery Size</label>
            <select class="form-control" id="batterySize" placeholder="Select a battery size"
                    formControlName="batterySize" (change)="updatePrice()"
                    [class.border-danger]="carOrderForm | hasError:carOrderForm.value:'batterySize':submitted">
                <option *ngFor="let bs of batterySizes; index as i" [value]="bs.id"
                        [selected]="i === 0">{{bs.name}}</option>
            </select>
        </div>
        <div class="form-group col-md-4">
            <label for="wheel">Wheel</label>
            <select class="form-control" id="wheel" placeholder="Select a wheel type" formControlName="wheel"
                    (change)="updatePrice()"
                    [class.border-danger]="carOrderForm | hasError:carOrderForm.value:'wheel':submitted">
                <option *ngFor="let wheel of wheels;" [value]="wheel.id">{{wheel.name}}</option>
            </select>
        </div>
        <div class="form-group col-md-4">
            <label for="tire">Tire</label>
            <select class="form-control" id="tire" placeholder="Select a tire type" formControlName="tire"
                    (change)="updatePrice()"
                    [class.border-danger]="carOrderForm | hasError:carOrderForm.value:'tire':submitted">
                <option *ngFor="let tire of tires; index as tireIndex" [value]="tire.id"
                        [selected]="tireIndex == 0">{{tire.name}}</option>
            </select>
        </div>
    </div>
    <div class="form-group">
        <label for="description">Further information</label>
        <textarea class="form-control" id="description" placeholder="Enter your comments..." rows="5"
                  formControlName="description"></textarea>
    </div>
    <div class="alert alert-primary" role="alert">
        Total cost : <strong>{{totalPrice}}</strong>
    </div>
    <input type="submit" class="btn btn-primary" value="Submit the order" (click)="submit()">
</form>
